## cdbfasta 0.99

=== Makefile ===
# Useful directories

THISCODEDIR := .
GCLDIR := ./gclib
# Directory where libz.a can be found
ZDIR := ../zlib
# Directories to search for header files
SEARCHDIRS := -I${ZDIR} -I${THISCODEDIR} -I${GCLDIR}


SYSTYPE :=     $(shell uname)


MACHTYPE :=     $(shell uname -m)
ifeq ($(MACHTYPE), i686)
    MARCH = -march=i686
else
    MARCH = 
endif    

CC      := g++
BASEFLAGS  = -Wall ${SEARCHDIRS} $(MARCH) -DENABLE_COMPRESSION=0 -D_FILE_OFFSET_BITS=64 \
-D_LARGEFILE_SOURCE -fno-exceptions -fno-rtti -fno-strict-aliasing \
-D_REENTRANT 


ifeq ($(findstring debug,$(MAKECMDGOALS)),)
  DBGFLAGS = -O2 -DNDEBUG
  LDFLAGS =
else
  DBGFLAGS = -g -DDEBUG
  LDFLAGS = -g
endif

ifeq ($(findstring nommap,$(MAKECMDGOALS)),)
  CFLAGS = $(DBGFLAGS) $(BASEFLAGS)
else
  CFLAGS = $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
endif

%.o : %.c
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cc
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.C
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cpp
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cxx
	${CC} ${CFLAGS} -c $< -o $@

# C/C++ linker

LINKER    := g++
LDFLAGS    = -lz
#if ENABLE_COMPRESSION is not needed,
# LDFLAGS = 

.PHONY : all
all:    cdbfasta cdbyank 
debug:  all
nommap: all
cdbfasta:  ./cdbfasta.o ./gcdbz.o $(LIBS) ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o
	${LINKER} -o $@ ${filter-out %.a %.so, $^} $(LDFLAGS)

cdbyank :  ./cdbyank.o ./gcdbz.o ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o
	${LINKER} -o $@ ${filter-out %.a %.so, $^} $(LDFLAGS)

# target for removing all object files

.PHONY : tidy
tidy::
	@${RM} core cdbfasta cdbyank *.o ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o

# target for removing all object files

.PHONY : clean
clean:: tidy
	@${RM} core cdbfasta cdbyank *.o ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o

## cdbfasta 0.99-20100722

=== debian/changelog ===
cdbfasta (0.99-20100722-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:54 +0100

cdbfasta (0.99-20100722-6) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Saira Hussain ]
  * Add autopkgtest

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Fix hardening

 -- Saira Hussain <saira.h0213@zoho.com>  Wed, 31 Jul 2019 18:51:18 +0200

cdbfasta (0.99-20100722-5) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 15:13:03 +0200

cdbfasta (0.99-20100722-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2017 22:24:59 +0100

cdbfasta (0.99-20100722-3) unstable; urgency=medium

  * Fake watch file
  * cme fix dpkg-control
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 22:12:48 +0100

cdbfasta (0.99-20100722-2) unstable; urgency=medium

  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jan 2016 09:36:11 +0100

cdbfasta (0.99-20100722-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #696233)
  * debian/cdbfasta_usage.html: Add separate upstream documentation
  * debhelper 9 (control+compat) + some manual changes for hardening

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2012 16:41:28 +0100

cdbfasta (0.981-20100722-1ubuntu3) lucid; urgency=low

  * Moved manpage generation to debian/rules as per advice from Charles Plessy
  * Quick and dirty workaround for Lintian false positive (error message
    was being seen as evidence of statically linked ZLib).

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 11 Apr 2011 14:43:39 +0100

cdbfasta (0.981-20100722-1ubuntu2) lucid; urgency=low

  * Continued work on package - added basic manapages
  * Changed description in control file

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 08 Apr 2011 18:05:51 +0100

cdbfasta (0.981-20100722-1) UNRELEASED; urgency=low

  * First preparation

 -- Steffen Moeller <moeller@debian.org>  Thu, 02 Dec 2010 19:02:35 +0100

=== debian/control ===
Source: cdbfasta
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               zlib1g-dev,
               help2man
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/cdbfasta
Vcs-Git: https://salsa.debian.org/med-team/cdbfasta.git
Homepage: http://cdbfasta.sourceforge.net/

Package: cdbfasta
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Constant DataBase indexing and retrieval tools for multi-FASTA files
 CDB (Constant DataBase) can be used for creating indices for quick
 retrieval of any particular sequences from large multi-FASTA files.
 It has the option to compress data records in order to save space.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for cdbfasta
# Author: Tim Booth <tbooth@ceh.ac.uk>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LINKER="g++ $(LDFLAGS)"

override_dh_installman:
	help2man --no-info --no-discard-stderr --version-option=-v ./cdbfasta |\
	    sed 's/^Invalid argument:.*//' |\
	    sed 's/manual page for cdbfasta version .*/Creates an index file for records from a multi-fasta file./' \
	    > $(CURDIR)/debian/`dh_listpackages`/usr/share/man/man1/cdbfasta.1
	help2man --no-info --no-discard-stderr --version-option=-v ./cdbyank |\
	    sed 's/^Invalid argument:.*//' |\
	    sed 's/manual page for cdbyank version .*/Query an index file created with cdbfasta./' \
	    > $(CURDIR)/debian/`dh_listpackages`/usr/share/man/man1/cdbyank.1

## cdbfasta 1.00%2Bgit20181005.014498c%2Bdfsg

=== Makefile ===
GCLDIR := ./gclib
SEARCHDIRS := -I${GCLDIR}
CC      := g++

BASEFLAGS  = -Wall ${SEARCHDIRS} $(MARCH) -DENABLE_COMPRESSION=1 -D_FILE_OFFSET_BITS=64 \
-D_LARGEFILE_SOURCE -fno-exceptions -fno-rtti -fno-strict-aliasing \
-D_REENTRANT


ifeq ($(findstring debug,$(MAKECMDGOALS)),)
  DBGFLAGS = -O2 -g -DNDEBUG
  LDFLAGS =
else
  DBGFLAGS = -g -DDEBUG -D_DEBUG
  LDFLAGS = -g
endif

ifeq ($(findstring nommap,$(MAKECMDGOALS)),)
  CFLAGS = $(DBGFLAGS) $(BASEFLAGS)
else
  CFLAGS = $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
endif

%.o : %.c
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cc
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.C
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cpp
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cxx
	${CC} ${CFLAGS} -c $< -o $@

# C/C++ linker

LINKER    := g++
#LDFLAGS = 
#uncomment this when ENABLE_COMPRESSION
LDFLAGS    = -lz

.PHONY : all
all:    cdbfasta cdbyank 
debug:  all
nommap: all
#when compression is enabled:
#cdbfasta:  ./cdbfasta.o ./gcdbz.o  ...
cdbfasta:  ./cdbfasta.o ./gcdbz.o ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o
	${LINKER} -o $@ ${filter-out %.a %.so, $^} $(LDFLAGS)
#cdbyank :  ./cdbyank.o ./gcdbz.o
cdbyank :  ./cdbyank.o ./gcdbz.o ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o
	${LINKER} -o $@ ${filter-out %.a %.so, $^} $(LDFLAGS)

# target for removing all object files

.PHONY : tidy
tidy::
	@${RM} core cdbfasta cdbyank *.o ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o

# target for removing all object files

.PHONY : clean
clean:: tidy
	@${RM} core cdbfasta cdbyank *.o ${GCLDIR}/gcdb.o ${GCLDIR}/GBase.o ${GCLDIR}/GStr.o ${GCLDIR}/GArgs.o

## cdbfasta 1.00+git20181005.014498c+dfsg

=== debian/changelog ===
cdbfasta (1.00+git20181005.014498c+dfsg-4build1) jammy; urgency=medium

  * No-change rebuild against libgclib3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:06:09 +0000

cdbfasta (1.00+git20181005.014498c+dfsg-4) unstable; urgency=medium

  * Mark Multi-Arch: foreign
    Closes: #962675
  * Drop Tim Booth from Uploaders (Tim thanks for all your work on this
    package)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 12:25:25 +0100

cdbfasta (1.00+git20181005.014498c+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.0 (routine-update)
  * add cppflags.patch to apply CPPFLAGS and fortify functions

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Oct 2021 00:09:23 +0200

cdbfasta (1.00+git20181005.014498c+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne]
  * Team upload.
  * Improve cross building: (Closes: #980128)
    + cross.patch: Make pkg-config substitutable.
    + d/rules: Pass a triplet-prefixed g++.

  [ Nilesh Patra ]
  * Declare compliance with policy 4.5.1

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 14 Jan 2021 20:32:35 +0100

cdbfasta (1.00+git20181005.014498c+dfsg-1) unstable; urgency=medium

  * Point homepage to Github
  * d/watch: use git mode
  * Remove code copy of gclib
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jun 2020 12:34:42 +0200

=== debian/control ===
Source: cdbfasta
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               pkg-config,
               libgclib-dev,
               help2man
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/cdbfasta
Vcs-Git: https://salsa.debian.org/med-team/cdbfasta.git
Homepage: https://github.com/gpertea/cdbfasta
Rules-Requires-Root: no

Package: cdbfasta
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Constant DataBase indexing and retrieval tools for multi-FASTA files
 CDB (Constant DataBase) can be used for creating indices for quick
 retrieval of any particular sequences from large multi-FASTA files.
 It has the option to compress data records in order to save space.

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,13 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- LINKER="g++ $(LDFLAGS)"
+	dh_auto_build -- LINKER="$(CXX) $(LDFLAGS)"
 
 override_dh_installman:
 	help2man --no-info --no-discard-stderr --version-option=-v ./cdbfasta |\

## cdbfasta 1.00+git20230710.da8f5ba+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 GCLDIR := ./gclib
 SEARCHDIRS := -I${GCLDIR}
-CC      := g++
+# Use the correct compiler (CXX, not CC) and respect the environment
+# by using ?=
+CXX    ?= g++
 
 BASEFLAGS  = -Wall ${SEARCHDIRS} $(MARCH) -DENABLE_COMPRESSION=1 -D_FILE_OFFSET_BITS=64 \
 -D_LARGEFILE_SOURCE -fno-exceptions -fno-rtti -fno-strict-aliasing \
@@ -9,39 +11,38 @@
 
 ifeq ($(findstring debug,$(MAKECMDGOALS)),)
   DBGFLAGS = -O2 -g -DNDEBUG
-  LDFLAGS =
 else
   DBGFLAGS = -g -DDEBUG -D_DEBUG
-  LDFLAGS = -g
+  LDFLAGS += -g
 endif
 
 ifeq ($(findstring nommap,$(MAKECMDGOALS)),)
-  CFLAGS = $(DBGFLAGS) $(BASEFLAGS)
+  CXXFLAGS += $(DBGFLAGS) $(BASEFLAGS)
 else
-  CFLAGS = $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
+  CXXFLAGS += $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
 endif
 
 %.o : %.c
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.cc
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.C
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.cpp
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.cxx
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 # C/C++ linker
 
-LINKER    := g++
+LINKER    := ${CXX}
 #LDFLAGS = 
 #uncomment this when ENABLE_COMPRESSION
-LDFLAGS    = -lz
+LDFLAGS    += -lz
 
 .PHONY : all
 all:    cdbfasta cdbyank

=== debian/changelog ===
cdbfasta (1.00+git20230710.da8f5ba+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Nov 2023 16:25:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cdbfasta
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -10,7 +9,7 @@
                pkg-config,
                libgclib-dev,
                help2man
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cdbfasta
 Vcs-Git: https://salsa.debian.org/med-team/cdbfasta.git
 Homepage: https://github.com/gpertea/cdbfasta

=== debian/watch ===
version=4

opts="mode=git,pretty=1.00+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
    https://github.com/gpertea/cdbfasta.git HEAD

# FIXME: as for release tags
